#!/bin/bash

KEYCLOAK_URL="http://localhost:8080/auth"
CLIENT="wildfly"
CLIENT_SECRET="39917c0f-139a-42d2-af03-2b4207758242"
USERNAME="ricky"
PASSWORD="Kiosko_00"
REALM="master"
WILDFLY_URL="http://localhost:18080/wildfly-jwt-sample"

# 1. login and obtain the token
TKN=$(curl -sX POST --basic -u "${CLIENT}:${CLIENT_SECRET}" "${KEYCLOAK_URL}/realms/${REALM}/protocol/openid-connect/token" \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -d "username=${USERNAME}" \
 -d "password=${PASSWORD}" \
 -d 'grant_type=password' \
 -d 'client_id=wildfly' | jq -r '.access_token')

if [ "${TKN}" == "null" ]
then
    echo "Invalid login" 1>&2
    exit 1
fi

# 2. Call the endpoint with that access token
curl -s "{$WILDFLY_URL}/hello" \
 -H "Accept: text/plain" \
 -H "Content-Type: application/json;charset=utf-8" \
 -H "Authorization: Bearer $TKN"

